explain_creat_or_die(3)

NAME
explain_creat_or_die - create and open a file creat and report errors
    "create and open a file and report errors"

SYNOPSIS
#include <libexplain/creat.h>

void explain_creat_or_die(const char *pathname, int mode);

DESCRIPTION
The explain_creat_or_die function is used to call the creat(2) system call. On failure an explanation will be printed to stderr, obtained from explain_creat(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_creat_or_die(pathname, mode);

pathname
    The pathname, exactly as to be passed to the creat(2) system call.

mode
    The mode, exactly as to be passed to the creat(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

creat(2)
    open and possibly create a file or device

explain_creat(3)
    explain creat(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2008 Peter Miller